Bug 11439 - Can't connect to ISP
Summary: Can't connect to ISP
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: isdn-config (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-16 10:01 UTC by Karsten Hopp
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-18 13:15:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Karsten Hopp 2000-05-16 10:01:30 UTC
I configured ISDN with isdn-config and set dialmode to auto.
My ISP assigns dynamic IPs -> $REMOTE_IP is left empty.
This results in the following messages when I execute /etc/rc.d/init.d/isdn
start:
 + route add default gw
Benutzung: inet_route [-vF] del {-host|-net} Ziel[/prefix] [gw Gw] [metric
M]
+[[dev] If]
        inet_route [-vF] add {-host|-net} Ziel[/Prefix] [gw Gw] [metric M]
                               [netmask N] [mss Mss] [window W] [irtt I]
                               [mod] [dyn] [reinstate] [[dev] If]
        inet_route [-vF] add {-host|-net} Ziel[/Prdfix] [metric M] reject
        inet_route [-FC] flush      NICHT unterst|tzt
 + [  = 1 ]

(I edited the startup script and added a 'set -x')

After isdn startup the defaultroute to the isdn interface was missing.


Fix:   Assign a dummy-IP to REMOTE_IP which will be overwritten when a
connection is established.

Comment 1 Florian La Roche 2000-05-18 13:15:59 UTC
should be fixed with newest sources


Note You need to log in before you can comment on or make changes to this bug.